@charset "utf-8";
/************************************************************************************/
/* 【MainMenu】【SaikoujiとTempleGeneratorで共用(共通仕様)する】                    */
/* 【重要】【MainMenuを更新する場合は、まずSaikoujiでテストする。】                 */
/*         【その後、OKであればTempleGeneratorへコピーして使用する。】              */
/* 【重要】【.HamburgerMenu-togglerのleft: calc(800px - 50px + 28px);の、           */
/*         「+34px」は、Saikoujiの場合はつけて、TempleGeneratorの場合は外す】       */
/* 【機能】 SaikoujiとTempleGeneratorのMainMenu(メインメニュー)を定義               */
/************************************************************************************/

/* 【MainMenuに必要開始】 */


/**************************/
/* MainMenu-nav-Allの定義 */
/**************************/
.MainMenu-nav-All{

	/*margin 上、右、下、左*/
	margin: 3.5px 3.5px 3.5px 3.5px;
	margin: 0px 0px 0px 0px;
	/*padding 上、右、下、左*/
	padding: 4px 0px 4px 0px;

    display: block;
    display: inline-flex;
    display: flex;

/*	box-sizing: border-box;
*/
/*	position: relative;*/     /* 基準値とする */
/*	font-size:12px;*/

/*	white-space: nowrap;*/         /* 折り返しを防ぐために必要 */
	
	border-radius: 0px;



}

/* ===== MainMenu-nav-Allの個別の定義 ===== */
/**************************/
/*MainMenu-nav-All4(青系) */
/**************************/

.MainMenu-nav-All4 {

	border-top: 4.5px solid #00F;
	border-bottom: 4.5px solid #66F;

	background-image: linear-gradient(0deg, #DDF 0%,#44C 70%, #00F 85%, #00A 90%,#00A 100%);/*青系*/

}



/*********************/
/*MainMenu-nav-All5(紫系) */
/*********************/

.MainMenu-nav-All5 {

	border-top: 4.5px solid #A0F;
	border-bottom: 4.5px solid #A0F;

	background-image: linear-gradient(0deg, #CCF 0%,#44C 70%, #00F 85%, #00A 90%,#00A 100%);/*青系*/
	background-image: linear-gradient(0deg, #DCF 0%,#84C 70%, #A0F 85%, #80B 90%,#508 100%);/*紫系*/
}


/*******************/
/*MainMenu-nav-All1(黄色系) */
/*******************/

.MainMenu-nav-All1 {

	border-top: 4.5px solid #00F;
	border-bottom: 4.5px solid #66F;

	background-image: linear-gradient(0deg, #FF0 0%,#880 80%, #880 90%,#CC0 100%);/*黄色系*/
	background-image: linear-gradient(0deg, #FFF 0%,#888 80%, #888 90%,#CCC 100%);/*灰色系*/

}


/*******************/
/*MainMenu-nav-All6(橙色系) */
/*******************/

.MainMenu-nav-All6 {

	border-top: 4.5px solid #00F;
	border-bottom: 4.5px solid #66F;
	background-image: linear-gradient(0deg, #FF0 0%,#880 80%, #880 90%,#CC0 100%);/*黄色系*/
	background-image: linear-gradient(0deg, #FFF 0%,#888 80%, #888 90%,#CCC 100%);/*灰色系*/

}


/*******************/
/*MainMenu-nav-All2,8(緑系) */
/*******************/

.MainMenu-nav-All2,.MainMenu-nav-All8 {

	border-top: 4.5px solid #0F0;
	border-bottom: 4.5px solid #9F9;
	background-image: linear-gradient(0deg, #66F 0%,#008 80%, #008 90%,#00C 100%);/*青系*/
	background-image: linear-gradient(0deg, #F66 0%,#800 80%, #800 90%,#C00 100%);/*赤系*/
	background-image: linear-gradient(0deg, #0F0 0%,#080 80%, #080 90%,#0C0 100%);/*緑系*/

}


/*******************/
/*MainMenu-nav-All8(水色系) */
/*******************/

.MainMenu-nav-All8 {

	box-sizing: border-box;
	border-top: 4.5px solid #0FF;
	border-bottom: 4.5px solid #6FF;
	background-image: linear-gradient(0deg, #0FF 0%,#088 80%, #088 90%,#0CC 100%);/*水色系*/
	background-image: linear-gradient(0deg, #CFF 0%,#088 80%, #088 90%,#0CC 100%);/*水色系*/

}


/*********************/
/*MainMenu-nav-All3(赤系) */
/*********************/

.MainMenu-nav-All3 {

	border-top: 4.5px solid #F00;
	border-bottom: 4.5px solid #F66;

	background-image: linear-gradient(0deg, #0F0 0%,#080 80%, #080 90%,#0C0 100%);/*緑系*/
	background-image: linear-gradient(0deg, #66F 0%,#008 80%, #008 90%,#00C 100%);/*青系*/
	background-image: linear-gradient(0deg, #F66 0%,#800 80%, #800 90%,#C00 100%);/*赤系*/
	background-image: linear-gradient(0deg, #FCC 0%,#C44 70%, #E00 85%, #F00 90%,#C00 100%);/*赤系*/
	background-image: linear-gradient(0deg, #FFF 0%,#F88 70%, #F66 85%, #FAA 90%,#F00 100%);/*赤系*/

}


/*********************/
/*MainMenu-nav-All7(ピンク系) */
/*********************/

.MainMenu-nav-All7 {

	border-top: 4.5px solid #F0F;
	border-bottom: 4.5px solid #F6F;

	background-image: linear-gradient(0deg, #FFF 0%,#F8F 70%, #F6F 85%, #FAF 90%,#F8F 100%);/*ピンク系*/

}


/*****************/
/*MainMenu-nav-All9(茶系) */
/*****************/

.MainMenu-nav-All9 {

	border-top: 4.5px solid #842;
	border-bottom: 4.5px solid #842;

	background-image: linear-gradient(0deg, #F84 0%,#842 80%, #842 90%,#C63 100%);/*茶色系*/
	background-image: linear-gradient(0deg, #FDC 0%,#842 80%, #842 90%,#C63 100%);/*茶色系*/
	background-image: linear-gradient(0deg, #FDC 0%,#A63 80%, #842 90%,#EB8 100%);/*茶色系*/

	}


/**************************/
/* MainMenu-nav-TopItemの定義 */
/**************************/
.MainMenu-nav-TopItem {

	/*margin 上、右、下、左*/
	margin: 3.5px 3.5px 3.5px 3.5px;
	margin: 0.5px 3.5px 0.5px 3.5px;
	/*padding 上、右、下、左*/
	padding: 0px 0px 0px 0px;

    display: inline-block;
    display: inline-flex;
	box-sizing: border-box;
	border: none; /*囲み線は不要*/
	position: relative;     /* 基準値とする */
	font-size:12px;

    text-align: left;
    margin-right: 5px;/* 隣のメニュー項目との間隔 */
    margin-right: 1px;/* 隣のメニュー項目との間隔 */
    flex-shrink: 0;        /* つぶれ防止 */

    list-style: none;

	background-image: linear-gradient(0deg, #CCF 0%,#44C 70%, #00F 85%, #00A 90%,#00A 100%);/*青系*/
}

.MainMenu-nav-TopItem a{
	/*margin 上、右、下、左*/
	margin: 0px 0px 0px 0px;
	/*padding 上、右、下、左*/
	padding: 5px 3px 5px 3px;/* ボタンと中の文字の余白 */

	font-size : 16px ;
	font-size : 14px ; /* ボタンの文字の大きさ */
	line-height: 1.2;/* <br>で改行した文字の改行間隔 */
	text-align: center;

	font-weight: none;
	text-decoration: none;
	text-shadow:1px 1px 0 rgba(255,255,255,1);
	border-radius: 5px;
	border-radius: 0px;
	color: #FFF;
	box-shadow:0 0 0 1px rgba(255,255,255,0.5) inset;
	background-image: linear-gradient(to bottom,
          rgba(180, 180, 180, 1.0),
          rgba(253, 253, 253, 1.0) 25%,
          rgba(240, 240, 240, 1.0) 30%,
          rgba(253, 253, 253, 1.0) 36%,
          rgba(225, 225, 225, 1.0) 50%,
          rgba(200, 200, 200, 1.0) 80%,
          rgba(170, 170, 170, 1.0)
          );
	border-top: 1.5px solid #EEE;
	border-left: 1.5px solid #EEE;
	border-right: 2.5px solid #222;
	border-bottom: 2.5px solid #222;


}


.MainMenu-nav-TopItem a:hover,.MainMenu-nav-TopItem a.Focus,.MainMenu-nav-TopItem a.Focus:hover {
	color: #FF0;
	font-weight: bold;

	text-shadow:none;

	/* linear-gradientは、0degの場合、0%が下側で100%が上側。 */
	background-image: linear-gradient(0deg, #800 0%,#F00 20%, #F00 30%,#F88 100%);
	background-image: linear-gradient(0deg, #800 0%,#F00 10%, #F00 20%,#800 100%);
	background-image: linear-gradient(0deg, #A00 0%,#F00 10%, #F00 20%,#800 70%,#300 100%);

	border-top: 1.5px solid #200;
	border-left: 1.5px solid #200;
	border-right: 2.5px solid #F00;
	border-bottom: 2.5px solid #F00;
	border-top: 2.0px solid #200;
	border-left: 2.0px solid #200;
	border-right: 2.0px solid #F00;
	border-bottom: 2.0px solid #F00;
	
}


/*********************/
/*FrameMenu4(青系) */
/*********************/

.MainMenu-nav-TopItemXXX {

	background-image: linear-gradient(0deg, #CCF 0%,#44C 70%, #00F 85%, #00A 90%,#00A 100%);/*青系*/
}

.MainMenu-nav-TopItemXXX a{
	text-shadow: 2px 2px 2px #080,-2px 2px 2px #080,2px -2px 2px #080,-2px -2px 2px #080,2px 2px 2px #080,-2px 2px 2px #080,2px -2px 2px #080,-2px -2px 2px #080;/*緑系*/
	text-shadow: 2px 2px 2px #800,-2px 2px 2px #800,2px -2px 2px #800,-2px -2px 2px #800,2px 2px 2px #800,-2px 2px 2px #800,2px -2px 2px #800,-2px -2px 2px #800;/*赤系*/
	text-shadow: 2px 2px 2px #008,-2px 2px 2px #008,2px -2px 2px #008,-2px -2px 2px #008,2px 2px 2px #008,-2px 2px 2px #008,2px -2px 2px #008,-2px -2px 2px #008;/*青系*/

}

/*---------------------------------------------------------------------------*/
/*MainMenu-nav-TopItemの個別設定。                                           */
/*---------------------------------------------------------------------------*/

/*【黄色系ボタン(1:Saikouji)】*/
.MainMenu-nav-TopItem1 a{

  font-weight: bold;
  text-shadow: -1px -1px #FFC, -1px 1px #FF4, 1px -1px #FF4, 1px 1px #FF4;/* 黄色系(4点版) */
  text-shadow: -1px -1px #FF0, -1px 1px #FF0, 1px -1px #FF0, 1px 1px #FF0;/* 黄色系(4点版) */
  color: #000;
  color: #00C;
  color: #00F;
}


/*【緑色系ボタン((2:西光寺))】*/
.MainMenu-nav-TopItem2 a{
  border-top: 1.5px solid #EFE;
  border-left: 1.5px solid #EFE;
  border-right: 1.5px solid #2F2; /*緑色は色が強いため、2pxでなく1.5pxにする*/
  border-bottom: 1.5px solid #2F2; /*緑色は色が強いため、2pxでなく1.5pxにする*/
  text-shadow: 2px 2px 2px #080,-2px 2px 2px #080,2px -2px 2px #080,-2px -2px 2px #080,2px 2px 2px #080,-2px 2px 2px #080,2px -2px 2px #080,-2px -2px 2px #080;
}


/*【ピンク系ボタン(3:Saikoji)】*/
.MainMenu-nav-TopItem3 a{
  color: #008;
  /*【文字の縁取り】*/
  text-shadow: 2px 2px 2px #F88,-2px 2px 2px #F88,2px -2px 2px #F88,-2px -2px 2px #F88,2px 2px 2px #F88,-2px 2px 2px #F88,2px -2px 2px #F88,-2px -2px 2px #F88;
  text-shadow: 2px 2px 2px #FAA,-2px 2px 2px #FAA,2px -2px 2px #FAA,-2px -2px 2px #FAA,2px 2px 2px #FAA,-2px 2px 2px #FAA,2px -2px 2px #FAA,-2px -2px 2px #FAA;
  text-shadow: 1px 1px 1px #FAA,-1px 1px 1px #FAA,1px -1px 1px #FAA,-1px -1px 1px #FAA,1px 1px 1px #FAA,-1px 1px 1px #FAA,1px -1px 1px #FAA,-1px -1px 1px #FAA;
}


/*【青系ボタン(4:Bukkyou)】*/
.MainMenu-nav-TopItem4 a{
  text-shadow: 2px 2px 2px #44F,-2px 2px 2px #44F,2px -2px 2px #44F,-2px -2px 2px #44F,2px 2px 2px #44F,-2px 2px 2px #44F,2px -2px 2px #44F,-2px -2px 2px #44F;
}

/*【紫系ボタン(5:Bukyou)】*/
.MainMenu-nav-TopItem5 a{
  border-top: 1.5px solid #FAE0FF;
  text-shadow: 2px 2px 2px #44F,-2px 2px 2px #44F,2px -2px 2px #44F,-2px -2px 2px #44F,2px 2px 2px #44F,-2px 2px 2px #44F,2px -2px 2px #44F,-2px -2px 2px #44F;
  text-shadow: 2px 2px 2px #A4F,-2px 2px 2px #A4F,2px -2px 2px #A4F,-2px -2px 2px #A4F,2px 2px 2px #A4F,-2px 2px 2px #A4F,2px -2px 2px #A4F,-2px -2px 2px #A4F;
  color: #FF8;
}

/*【橙色系ボタン(6)】*/
.MainMenu-nav-TopItem6 a{
  text-shadow: 2px 2px 2px #44F,-2px 2px 2px #44F,2px -2px 2px #44F,-2px -2px 2px #44F,2px 2px 2px #44F,-2px 2px 2px #44F,2px -2px 2px #44F,-2px -2px 2px #44F;
  text-shadow: 2px 2px 2px #FF8,-2px 2px 2px #FF8,2px -2px 2px #FF8,-2px -2px 2px #FF8,2px 2px 2px #FF8,-2px 2px 2px #FF8,2px -2px 2px #FF8,-2px -2px 2px #FF8;
  text-shadow: 2px 2px 2px #FF0,-2px 2px 2px #FF0,2px -2px 2px #FF0,-2px -2px 2px #FF0,2px 2px 2px #FF0,-2px 2px 2px #FF0,2px -2px 2px #FF0,-2px -2px 2px #FF0;
  text-shadow: 2px 2px 2px #FF4,-2px 2px 2px #FF4,2px -2px 2px #FF4,-2px -2px 2px #FF4,2px 2px 2px #FF4,-2px 2px 2px #FF4,2px -2px 2px #FF4,-2px -2px 2px #FF4;
  text-shadow: 1px 1px 1px #FF4,-1px 1px 1px #FF4,1px -1px 1px #FF4,-1px -1px 1px #FF4,1px 1px 1px #FF4,-1px 1px 1px #FF4,1px -1px 1px #FF4,-1px -1px 1px #FF4;/*黄色系*/
  text-shadow: .5px .5px .5px #F84,-.5px .5px .5px #F84,.5px -.5px .5px #F84,-.5px -.5px .5px #F84,.5px .5px .5px #F84,-.5px .5px .5px #F84,.5px -.5px .5px #F84,-.5px -.5px .5px #F84;/*橙色系*/
  color:#00F;
  color:#444;
}

/*【ピンク系ボタン(7)】*/
.MainMenu-nav-TopItem7 a{
  color: #008;
  text-shadow: 2px 2px 2px #F88,-2px 2px 2px #F88,2px -2px 2px #F88,-2px -2px 2px #F88,2px 2px 2px #F88,-2px 2px 2px #F88,2px -2px 2px #F88,-2px -2px 2px #F88;
  text-shadow: 2px 2px 2px #FAA,-2px 2px 2px #FAA,2px -2px 2px #FAA,-2px -2px 2px #FAA,2px 2px 2px #FAA,-2px 2px 2px #FAA,2px -2px 2px #FAA,-2px -2px 2px #FAA;
  text-shadow: 1px 1px 1px #FAA,-1px 1px 1px #FAA,1px -1px 1px #FAA,-1px -1px 1px #FAA,1px 1px 1px #FAA,-1px 1px 1px #FAA,1px -1px 1px #FAA,-1px -1px 1px #FAA;
}

/*【水色系ボタン(8)】*/
.MainMenu-nav-TopItem8 a{
  text-shadow: 2px 2px 2px #080,-2px 2px 2px #080,2px -2px 2px #080,-2px -2px 2px #080,2px 2px 2px #080,-2px 2px 2px #080,2px -2px 2px #080,-2px -2px 2px #080;
  text-shadow: 2px 2px 2px #088,-2px 2px 2px #088,2px -2px 2px #088,-2px -2px 2px #088,2px 2px 2px #088,-2px 2px 2px #088,2px -2px 2px #088,-2px -2px 2px #088;
  text-shadow: 1px 1px 1px #088,-1px 1px 1px #088,1px -1px 1px #088,-1px -1px 1px #088,1px 1px 1px #088,-1px 1px 1px #088,1px -1px 1px #088,-1px -1px 1px #088;
  color: #FFE;
}

/*【茶色系ボタン(9:Lilipop)】*/
.MainMenu-nav-TopItem9 a{
  color: #008;
  color: #FFF;
  /*【文字の縁取り】*/
  text-shadow: 1px 1px 1px #FAA,-1px 1px 1px #FAA,1px -1px 1px #FAA,-1px -1px 1px #FAA,1px 1px 1px #FAA,-1px 1px 1px #FAA,1px -1px 1px #FAA,-1px -1px 1px #FAA;
  text-shadow: 2px 2px 2px #753,-2px 2px 2px #753,2px -2px 2px #753,-2px -2px 2px #753,2px 2px 2px #753,-2px 2px 2px #753,2px -2px 2px #753,-2px -2px 2px #753;
}


/* ================================================================================ */
/* MainMenu-nav-TopItemの個別設定【終了】                                           */
/* ================================================================================ */

/* ********************************** */

.MainMenu-nav-TopItem:last-child {
    margin-right: 0;/* 最後のメニュー項目の間隔 */

}

.MainMenu-nav-SubItem {


}

.MainMenu-nav-SubItem a{

	font-size:30px;
	font-size:12px;
	border:none;
	background: transparent;
	text-decoration: none;
	text-shadow: none;
	color:#000;
	/*border: 3.5px double #00F;*/ /*線の太さ・色*/

}

.MainMenu-nav-MainSubItem {

	/*margin 上、右、下、左*/
	margin: 0px 0px 0px 0px;
	/*padding 上、右、下、左*/
	padding: 5px 2px 5px 2px;
	border: 3.5px double #00F; /*線の太さ・色*/

}

.MainMenu-nav-MainSubItem a{


}

/* ****************************************************************************************** */
/* MainMenu-DropdownMainクラスは、Javascript(document.querySelectorAll)の中のみで使用される。 */
/* MainMenu-DropdownSubクラスは、Javascript(document.querySelectorAll)の中のみで使用される。  */
/* ****************************************************************************************** */

.MainMenu-DropdownMain {
    position: relative;


/* MainMenu-DropdownMainクラスは、Javascript(document.querySelectorAll)の中のみで使用される。 */

}

.MainMenu-DropdownSub {

/* MainMenu-DropdownSubクラスは、Javascript(document.querySelectorAll)の中のみで使用される。 */

}



/* 【MainMenuに必要開始】 */

/*
.MainMenu-nav-item {
    display: inline-block;
    margin-right: 25px;

}
*/






.MainMenu-DropdownMain {
    position: relative;
}

.MainMenuShow-submenu .MainMenuSubmenu {
    opacity: 1;
    -webkit-transform: translate(0, 25px) scale(1);
    transform: translate(0, 25px) scale(1);
    pointer-events: auto;
}

.MainMenuSubmenu {
    position: absolute;
    top: 100%;
    top: 70%;/*サブメニュー一覧の表示する縦方向の位置*/
    left: 50%;
    z-index: 100;
    width: 200px;
    width: 150px;
    margin-left: -100px;
    margin-left: -40px;/*サブメニュー一覧の表示する横方向の位置*/
    background: #fff;
    border-radius: 3px;
    line-height: 1.46667;
    margin-top: -5px;
    box-shadow: 0 0 8px rgba(0,0,0,.3);
    opacity:0;
    -webkit-transform: translate(0, 0) scale(.85);
    transform: translate(0, 0)scale(.85);
    transition: transform 0.1s ease-out, opacity 0.1s ease-out;
    pointer-events: none;
}

.MainMenuSubmenu::after, 
.MainMenuSubmenu::before {
    content: ""; 
    position: absolute;
    bottom: 100%;
    left: 50%;
    margin-left: -10px;
    border: 10px solid transparent;
    height: 0;
}

.MainMenuSubmenu::after {
    border-bottom-color: #fff;
    border-bottom-color: #000;
    border-bottom-color: #F00;
}

.MainMenuSubmenu::before {
    margin-left: -13px;
    border: 13px solid transparent;
    border-bottom-color: rgba(0,0,0,.1);
    -webkit-filter:blur(1px);
    filter:blur(1px);
}

/*
.MainMenuSubmenu-items {
    list-style: none;
    padding: 10px 0;
}
*/

/* 【MainMenuに必要終了】 */




